require 'test_helper'
module Vulgata
  class ConfigurationTest < ActiveSupport::TestCase
    setup do
      Vulgata.reset
    end

    def test_deafult_configurations
      assert_equal 10, Vulgata.configuration.deafult_priority
      assert_equal Strategies::Globalize, Vulgata.configuration.deafult_strategy
      assert_equal false, Vulgata.configuration.should_suggest_translation
    end

    def test_overriding_deafult_configurations
      Vulgata.configure do |config|
        config.deafult_priority = 5
        config.should_suggest_translation = true
      end

      assert_equal 5, Vulgata.configuration.deafult_priority
      assert_equal true, Vulgata.configuration.should_suggest_translation
    end
  end
end
