module Vulgata
  class ApplicationController < ActionController::Base
    include Vulgata::Controller
    include Vulgata::ControllerConfigurable

    def vulgata_current_user
      User.current_user
    end

    def vulgata_users
      User.all
    end

    def suggest_translation text, from, to
      render json: { suggestion: text }, status: :ok
    end

  end
end
