class CreateComments < ActiveRecord::Migration
  def change
    create_table :comments do |t|
      t.references :user
      t.timestamps null: false
    end

    reversible do |dir|
      dir.up do
        Comment.create_translation_table! body: :string
      end

      dir.down do
        Comment.drop_translation_table!
      end
    end
  end
end
