require 'test_helper'

feature "Role and locale assignment" do

  scenario "Admin assigns translator role and locales to new user" do
  	user_with_no_role = create(:user_with_no_role)

    login_as create(:johnny_the_admin)

    visit team_path
    click_link user_with_no_role.name

    check "English"
    check "Hebrew"
    choose "Translator"

    click_button "Save"

    user_with_no_role.reload
    assert_equal :translator, user_with_no_role.vulgata_role
  end

end
